%define upstream_name    Devel-PatchPerl
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Replacement 'hints' files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(IO::File)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Pluggable)
BuildArch:  noarch

%description
Devel::PatchPerl is a modularisation of the patching code contained in the
Devel::PPort manpage's 'buildperl.pl'.

It does not build perls, it merely provides an interface to the source
patching functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/patchperl
%{_mandir}/man1/patchperl.1.xz

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 537057
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 486209
- update to 1.12

* Fri Aug 23 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 470243
- update to 1.10

* Thu Jul 25 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 458021
- update to 1.00

* Mon Jul 08 2013 sander85 <sander85> 0.960.0-1.mga4
+ Revision: 451226
- update to 0.96

* Sun Jul 07 2013 sander85 <sander85> 0.940.0-1.mga4
+ Revision: 450958
- update to 0.94

* Fri Jun 07 2013 jquelin <jquelin> 0.900.0-1.mga4
+ Revision: 439023
- update to 0.90

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-2.mga3
+ Revision: 365792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.760.0-1.mga3
+ Revision: 286058
- update to 0.76

* Tue Jun 05 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 254862
- update to 0.72

* Mon Mar 05 2012 jquelin <jquelin> 0.660.0-1.mga2
+ Revision: 218703
- update to 0.66

* Tue Nov 08 2011 jquelin <jquelin> 0.620.0-1.mga2
+ Revision: 165438
- remove MYMETA from %%doc
- update to 0.62

* Sat Nov 05 2011 kharec <kharec> 0.600.0-1.mga2
+ Revision: 163461
- update to 0.60

* Fri Oct 14 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 154752
- update to 0.58
- update to 0.52
- update to 0.42

  + kharec <kharec>
    - update to 0.44

* Wed Jun 15 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 107713
- imported package perl-Devel-PatchPerl


* Wed Jun 15 2011 cpan2dist 0.40-1mga
- initial mageia release, generated with cpan2dist
